#!/bin/bash

#--------------------------------------------------------------------------------------
# 	sendsupporttar.sh  <http://www.safesquid.com>
# 	Author	:- Rahul Patil
# 	Date 	:- Tue Oct 16 12:56:21 IST 2012
#--------------------------------------------------------------------------------------


#--------------------------------------------------------------------------------------
#	This Script will execute on server where SafeSquid is installed 					
#	and Running.   The  main  purpose  of  the script is send latest 
#	support     tarball.    We    need to run  daily  using  crontab.
#	This script  basically  use  "sendEmail"  binary  which  can  be 
#	downloaded from "caspian.dotconf.net". this mail will also store 
#	logging information .
#--------------------------------------------------------------------------------------


# Define sender's detail  email ID
From_Mail="safesquidsupport@ganpatuniversity.ac.in"


# Sender's  Username and password account for sending mail
Sndr_Uname="${From_Mail}"
Sndr_Passwd="password"


# Define recepient's email ID 
To_Mail="satishhargunani@gmail.com"

# Define CC to (Note: for multiple CC use ,(comma) as seperator )
CC_TO="unnieez@gmail.com"

# Define mail server for sending mail [ IP:PORT or HOSTNAME:PORT ]
# RELAY_SERVER="ganpatuniversity.ac.in:25"
RELAY_SERVER="smtp.gmail.com:587"

# Subject
Subject="Support Tarball Ganpat Univercity"

# sendEmail download link
download_sendEmail="http://caspian.dotconf.net/menu/Software/SendEmail/sendEmail-v1.56.tar.gz"

# path of latest support file
support_file="$(readlink -f /tmp/safesquid-support-tarball.tar.gz)"

# Mail Body
function MSG() {
cat <<_EOF
Dear Sir,
Please find the attachment of Support Tarrball
_EOF
}

# store loggin information in below log file
Log_File="/opt/safesquid/safesquid/logs/sendmail/sendmail.log"

# check sendmail dir exists or not if not check create it
Log_dir="$(dirname ${Log_File})"
if [ ! -d "${Log_dir}" ]; then
mkdir "${Log_dir}"
fi

# below function will check the sendEmail binary if not exists then
# it will download sendEmail binary to appropriate location

check_sendmail() {
		
		if [ ! -x "/usr/bin/sendEmail" ]; then
		wget -cnd "${download_sendEmail}" -O /tmp/sendemail.tar.gz >/dev/null 2>&1
		tar -xzf /tmp/sendemail.tar.gz  --wildcards  *sendEmail
		install --mode=744 sendEmail*/sendEmail /usr/bin/
		fi
}


Generate_Support_tar(){
/etc/init.d/safesquid support >/dev/null 2>&1
}


Send_Mail() { 
	/usr/bin/sendEmail -v -f ${From_Mail} \
	-t ${To_Mail} -u "${Subject}" \
	-m `MSG` \
	-xu "${Sndr_Uname}" \
	-xp "${Sndr_Passwd}" \
	-o tls=auto \
	-a "${support_file}" \
	-s "${RELAY_SERVER}" \
	-cc "${CC_TO}" \
	-l "${Log_File}"
}


Main() {

check_sendmail
Generate_Support_tar
Send_Mail

}

Main
